Bug 171632 - DVD option not defined for multimedia/vlc
DVD option not defined for multimedia/vlc
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: freebsd-multimedia
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 08:10 UTC by mharo
Modified: 2012-09-22 19:50 UTC (History)
0 users

See Also:


Attachments
file.diff (624 bytes, patch)
2012-09-14 08:10 UTC, mharo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mharo freebsd_committer 2012-09-14 08:10:19 UTC
OptionsNG only allows you to specify options that are listed in
OPTIONS_DEFINE.  The Makefile for this port takes action based on if
the DVD option is set or not set, but doesn't provide you an
opportunity to set it since it isn't in the OPTIONS_DEFINE list.

Fix: I'm not sure that this is the correct fix since if you select DVD it
doesn't enable DVDREAD when you do make showconfig, but it does enable
it if you put WITH_DVD in the environment.  Hopefully you'll know the
correct fix.
How-To-Repeat: 	make rmconfig
	env WITH_DVD=yes make config
	see if A52, DVDREAD, DVDNAV options are checked
Comment 1 Edwin Groothuis freebsd_committer 2012-09-14 08:11:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-multimedia

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2012-09-22 19:40:38 UTC
Author: nox
Date: Sat Sep 22 18:40:12 2012
New Revision: 304703
URL: http://svn.freebsd.org/changeset/ports/304703

Log:
  - Cleanup options handling a bit, adding back DVD related options
    by default again in the process. [1]
  - Strip Makefile headers.
  - Bump PORTREVISION.
  
  PR:		ports/171632 [1]
  Submitted by:	mharo [1]

Modified:
  head/multimedia/vlc/Makefile

Modified: head/multimedia/vlc/Makefile
==============================================================================
--- head/multimedia/vlc/Makefile	Sat Sep 22 17:59:16 2012	(r304702)
+++ head/multimedia/vlc/Makefile	Sat Sep 22 18:40:12 2012	(r304703)
@@ -1,13 +1,9 @@
-# New ports collection makefile for:	vlc
-# Date created:		3rd August 2001
-# Whom:			Brian Somers <brian@FreeBSD.org>
-#
+# Created by: Brian Somers <brian@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	vlc
 DISTVERSION=	2.0.3
-PORTREVISION=	2
+PORTREVISION=	3
 PORTEPOCH=	3
 CATEGORIES=	multimedia audio ipv6 net www
 MASTER_SITES=	http://download.videolan.org/pub/videolan/${PORTNAME}/${DISTVERSION:S/p/-pre/}/ \
@@ -31,13 +27,15 @@ OPTIONS_DEFINE=	A52 AALIB ASS AVAHI CACA
 		MUSEPACK NCURSES NLS NOTIFY OPTIMIZED_CFLAGS OGG \
 		PNG PORTAUDIO PROJM PULSEAUDIO QT4 REALAUDIO RUNROOT \
 		SAMBA SCHROED SDL SHOUTCAST SKINS STREAM SPEEX SQLITE SVG \
-		TAGLIB THEORA TREMOR TWOLAME UPNP V4L VAAPI VCD \
-		VORBIS X11 X264 XCB XOSD XVIDEO ZVBI SERVER_ONLY DEBUG \
-		UNSAFE_PLUGINS
+		TAGLIB THEORA TWOLAME UPNP V4L VAAPI VCD \
+		X11 X264 XCB XOSD XVIDEO ZVBI SERVER_ONLY DEBUG \
+		VORBISALT NO_DVD
+OPTIONS_SINGLE=	VORBISALT
+OPTIONS_SINGLE_VORBISALT=	VORBIS TREMOR
 OPTIONS_DEFAULT=A52 AVAHI DBUS DTS DVDREAD DVDNAV FAAD FLAC GLX GNUTLS \
 		HTTPD LUA MAD MATROSKA MPEG2 OGG PNG QT4 REALAUDIO \
 		SDL SKINS STREAM SPEEX TAGLIB THEORA TWOLAME V4L \
-		VCD VORBIS X11 X264 XCB XVIDEO
+		VCD VORBISALT VORBIS X11 X264 XCB XVIDEO
 A52_DESC=	A52 DVD audio decoder
 AALIB_DESC=	Aalib Console Graphics Support
 ASS_DESC=	ASS/SSA subtitle rendering
@@ -84,6 +82,8 @@ XVIDEO_DESC=	X11 video rendering
 ZVBI_DESC=	VBI decoding support
 SERVER_ONLY_DESC=	Only build server parts
 UNSAFE_PLUGINS_DESC=	Install unsafe, unsupported plugins
+VORBISALT_DESC= Vorbis or Tremor audio support
+NO_DVD_DESC=	disable DVD specific features
 
 USE_XZ=		yes
 USE_GMAKE=	yes
@@ -137,19 +137,26 @@ MAN1=		vlc.1 \
 # Use these for batch control of certain types of builds
 
 # Disable DVD specific features
-.if empty(PORT_OPTIONS:MDVD)
-WITHOUT_A52=yes
-WITHOUT_DTS=yes
-WITHOUT_DVDREAD=yes
-WITHOUT_DVDNAV=yes
+.if ${PORT_OPTIONS:MNO_DVD}
+PORT_OPTIONS:=	${PORT_OPTIONS:O:u}
+PORT_OPTIONS:=	${PORT_OPTIONS:NA52}
+PORT_OPTIONS:=	${PORT_OPTIONS:NDVDREAD}
+PORT_OPTIONS:=	${PORT_OPTIONS:NDVDNAV}
 .endif
 
 # Use this to disable all UI and output modules
 .if ${PORT_OPTIONS:MSERVER_ONLY}
-WITHOUT_LUA=yes
-WITHOUT_QT4=yes
-WITH_RUNROOT=yes
-WITHOUT_XCB=yes
+PORT_OPTIONS:=	${PORT_OPTIONS:O:u}
+PORT_OPTIONS:=	${PORT_OPTIONS:NGLX}
+PORT_OPTIONS:=	${PORT_OPTIONS:NLUA}
+PORT_OPTIONS:=	${PORT_OPTIONS:NQT4}
+PORT_OPTIONS:=	${PORT_OPTIONS:NSKINS}
+PORT_OPTIONS:=	${PORT_OPTIONS:NXCB}
+PORT_OPTIONS:=	${PORT_OPTIONS:NXVIDEO}
+.if empty(PORT_OPTIONS:MRUNROOT)
+PORT_OPTIONS+=	RUNROOT
+PORT_OPTIONS:=	${PORT_OPTIONS:O:u}
+.endif
 .endif
 
 # WITH_UNSAFE_PLUGINS
@@ -175,53 +182,6 @@ USE_QT4=	gui corelib moc_build rcc_build
 CONFIGURE_ARGS+=--disable-qt4
 .endif
 
-.include <bsd.port.pre.mk>
-
-# OS specific hacks
-.if (${OSVERSION} < 800000)
-BROKEN=		doesn't build on such an old FreeBSD version
-.endif
-
-.if (${OSVERSION} < 800040)
-EXTRA_PATCHES+=	${FILESDIR}/extra-patch-modules__misc__inhibit__xdg.c \
-		${FILESDIR}/extra-patch-modules__misc__inhibit__xscreensaver.c
-.endif
-
-# base clang in 9.0 builds a corrupted lib/vlc/plugins/gui/libqt4_plugin.so
-.if (${CC:T:Mclang} == "clang") && \
-	(${OSVERSION} >= 900014) && (${OSVERSION} < 900506)
-IGNORE=		base clang version too old, set NO_IGNORE to override
-.endif
-
-.if ${ARCH} == "powerpc64"
-CONFIGURE_ARGS+=--enable-altivec # VLC's config script doesn't know to do this
-.endif
-
-.if ${ARCH} == "i386"
-USE_GCC?=	4.6+ # sse/3dnow detection on i386 needs newer gcc
-.endif
-
-# End OS specific hacks
-
-# User tunables
-
-# Define these to override
-# FreeBSD 9.x uses CAM devices
-.if (${OSVERSION} > 900037)
-WITH_CDROM_DEVICE?=/dev/cd0
-WITH_DVD_DEVICE?=/dev/cd0
-.else
-WITH_CDROM_DEVICE?=/dev/acd0
-WITH_DVD_DEVICE?=/dev/acd0
-.endif
-
-# If you change this value, the dependancy will not be recorded
-.if !defined(WITH_VLC_DEFAULT_FONT)
-WITH_VLC_DEFAULT_FONT=		${LOCALBASE}/lib/X11/fonts/bitstream-vera/Vera.ttf
-WITH_VLC_DEFAULT_MONO_FONT=	${LOCALBASE}/lib/X11/fonts/bitstream-vera/VeraMono.ttf
-RUN_DEPENDS+=	${LOCALBASE}/lib/X11/fonts/bitstream-vera/Vera.ttf:${PORTSDIR}/x11-fonts/bitstream-vera
-.endif
-
 # OPTIONS
 # Keep these organized!
 
@@ -595,9 +555,10 @@ CONFIGURE_ARGS+=--enable-theora
 CONFIGURE_ARGS+=--disable-theora
 .endif
 
-.if ${PORT_OPTIONS:MTREMOR} && !${PORT_OPTIONS:MVORBIS}
+.if ${PORT_OPTIONS:MTREMOR}
 # Tremor is integer based Vorbis subset, using both is redundant
 LIB_DEPENDS+=	vorbisidec:${PORTSDIR}/audio/libtremor
+CONFIGURE_ARGS+=--enable-tremor
 .else
 CONFIGURE_ARGS+=--disable-tremor
 .endif
@@ -690,6 +651,53 @@ CONFIGURE_ARGS+=--enable-zvbi
 CONFIGURE_ARGS+=--disable-zvbi
 .endif
 
+.include <bsd.port.pre.mk>
+
+# OS specific hacks
+.if (${OSVERSION} < 800000)
+BROKEN=		doesn't build on such an old FreeBSD version
+.endif
+
+.if (${OSVERSION} < 800040)
+EXTRA_PATCHES+=	${FILESDIR}/extra-patch-modules__misc__inhibit__xdg.c \
+		${FILESDIR}/extra-patch-modules__misc__inhibit__xscreensaver.c
+.endif
+
+# base clang in 9.0 builds a corrupted lib/vlc/plugins/gui/libqt4_plugin.so
+.if (${CC:T:Mclang} == "clang") && \
+	(${OSVERSION} >= 900014) && (${OSVERSION} < 900506)
+IGNORE=		base clang version too old, set NO_IGNORE to override
+.endif
+
+.if ${ARCH} == "powerpc64"
+CONFIGURE_ARGS+=--enable-altivec # VLC's config script doesn't know to do this
+.endif
+
+.if ${ARCH} == "i386"
+USE_GCC?=	4.6+ # sse/3dnow detection on i386 needs newer gcc
+.endif
+
+# End OS specific hacks
+
+# User tunables
+
+# Define these to override
+# FreeBSD 9.x uses CAM devices
+.if (${OSVERSION} > 900037)
+WITH_CDROM_DEVICE?=/dev/cd0
+WITH_DVD_DEVICE?=/dev/cd0
+.else
+WITH_CDROM_DEVICE?=/dev/acd0
+WITH_DVD_DEVICE?=/dev/acd0
+.endif
+
+# If you change this value, the dependancy will not be recorded
+.if !defined(WITH_VLC_DEFAULT_FONT)
+WITH_VLC_DEFAULT_FONT=		${LOCALBASE}/lib/X11/fonts/bitstream-vera/Vera.ttf
+WITH_VLC_DEFAULT_MONO_FONT=	${LOCALBASE}/lib/X11/fonts/bitstream-vera/VeraMono.ttf
+RUN_DEPENDS+=	${LOCALBASE}/lib/X11/fonts/bitstream-vera/Vera.ttf:${PORTSDIR}/x11-fonts/bitstream-vera
+.endif
+
 post-patch:
 	@${REINPLACE_CMD} -e 's|/usr/local|${LOCALBASE}|g' \
 		-e '\|LIBS|s|-lrt||' \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Juergen Lock freebsd_committer 2012-09-22 19:46:48 UTC
State Changed
From-To: open->closed

Fix committed.  Thanks!